CREATE TABLE `project_documents_deleted` (
  `project_document_id` bigint NOT NULL AUTO_INCREMENT,
  `project_id` bigint DEFAULT NULL,
  `document_title` varchar(100) DEFAULT NULL,
  `document_mandatory` tinyint(1) DEFAULT '1',
  `assign_to_user` bigint DEFAULT NULL,
  `document_category_id` bigint DEFAULT NULL,
  `document_type_id` bigint DEFAULT NULL,
  `recurring_interval_id` bigint DEFAULT NULL,
  `recurring_start_date` datetime DEFAULT NULL,
  `recurring_end_date` datetime DEFAULT NULL,
  `status_id` bigint DEFAULT NULL,
  `created_by` bigint DEFAULT NULL,
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `req_approval_project_owner` tinyint(1) DEFAULT '0',
  `req_approval_project_manager` tinyint(1) DEFAULT '0',
  `req_approval_project_engineer` tinyint(1) DEFAULT '0',
  `req_approval_engineer` tinyint(1) DEFAULT '0',
  `req_approval_qa_qc` tinyint(1) DEFAULT '0',
  `req_approval_safety` tinyint(1) DEFAULT '0',
  `req_approval_onm` tinyint(1) DEFAULT '0',
  `req_approval_planner` tinyint(1) DEFAULT '0',
  `req_approval_purchasing` tinyint(1) DEFAULT '0',
  `req_approval_admin` tinyint(1) DEFAULT '0',
  `from_project_document_template_id` bigint DEFAULT NULL,
  `from_project_document_template_detail_id` bigint DEFAULT NULL,
  `completed_flag` tinyint DEFAULT '0',
  `deleted_by` bigint DEFAULT NULL,
  `deleted_at` datetime DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`project_document_id`),
  KEY `FK_ref_project_documents_created_by_idx` (`created_by`),
  KEY `FK_ref_project_documents_document_type_id_idx` (`document_type_id`),
  KEY `FK_ref_project_documents_project_id_idx` (`project_id`),
  KEY `FK_ref_project_documents_project_category_id_idx` (`document_category_id`),
  KEY `FK_ref_project_documents_recurring_interval_id_idx` (`recurring_interval_id`),
  KEY `FK_ref_project_documents_status_id_idx` (`status_id`),
  KEY `FK_ref_project_documents_assign_to_user_idx` (`assign_to_user`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
